from qgis.core import QgsProcessingAlgorithm

class IndicesEspectrales(QgsProcessingAlgorithm):

    def name(self):
        return "indices_espectrales"

    def displayName(self):
        return "Determinación de 5 índices espectrales"

    def group(self):
        return "Geomaticape"

    def groupId(self):
        return "geomaticape"

    def createInstance(self):
        return IndicesEspectrales()

    def initAlgorithm(self, config=None):
        pass

    def processAlgorithm(self, parameters, context, feedback):
        return {}

    def run(self):
        from qgis import processing
        processing.execAlgorithmDialog(self.id())
